<?php

function ini_top_bar()
{
    $data = get_messages_contact();
    return $data;
}

function get_messages_contact()
{
    $CI =& get_instance();
    
    $CI->load->model('sistema/conta_model');
    
    $notes = array(
        'num' => 0,
        'notes' => array()
    );
    
    $inbox = $CI->conta_model->get_novos_contatos();
    
    $notes['num'] = count($inbox['result']);
    
    foreach($inbox['result'] as $key=>$msg)
    {
        $link  = base_url('sistema/conta/mensagem').'/'.$msg->id;
        $date  = converte_datahora($msg->data, 1);
        
         $i = sizeof($notes['notes']);
    
        $notes['notes'][$i] = array(
            'id'      => 'contato_'.$msg->id,
            'name'   => ucwords($msg->nome),
            'msg'     => ucfirst(strtolower($msg->assunto)),
            'link'    => is_null($link) ? base_url('sistema/conta') : $link,
            'data'  => is_null($date) ? 'ir' : $date
        );
        if($key == 2) break;
    }
    $data['contato'] = $notes;
    return $data;
}